/*
SQLyog Community v13.0.1 (64 bit)
MySQL - 5.7.22-log : Database - predrokjanuar2019
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`predrokjanuar2019` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `predrokjanuar2019`;

/*Table structure for table `rezultattrke` */

DROP TABLE IF EXISTS `rezultattrke`;

CREATE TABLE `rezultattrke` (
  `RezultatTrkeID` int(11) NOT NULL AUTO_INCREMENT,
  `TrkaID` int(11) DEFAULT NULL,
  `datumOdrzavanja` date DEFAULT NULL,
  PRIMARY KEY (`RezultatTrkeID`),
  KEY `fk-rez-trke-trka` (`TrkaID`),
  CONSTRAINT `fk-rez-trke-trka` FOREIGN KEY (`TrkaID`) REFERENCES `trka` (`TrkaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `rezultattrke` */

/*Table structure for table `rezultatvozacautrci` */

DROP TABLE IF EXISTS `rezultatvozacautrci`;

CREATE TABLE `rezultatvozacautrci` (
  `RezultatTrkeID` int(11) NOT NULL,
  `pocetnaPozicijaVozaca` int(11) NOT NULL,
  `VozacID` int(11) DEFAULT NULL,
  `ZavrsioTrku` tinyint(4) DEFAULT NULL,
  `OstvarenoVreme` varchar(12) DEFAULT NULL,
  `Pozicija` int(11) DEFAULT NULL,
  `BrojPoena` int(11) DEFAULT NULL,
  PRIMARY KEY (`RezultatTrkeID`,`pocetnaPozicijaVozaca`),
  KEY `fk-rez-vozac-vozac` (`VozacID`),
  CONSTRAINT `fk-rez-vozac-rez-trke` FOREIGN KEY (`RezultatTrkeID`) REFERENCES `rezultattrke` (`RezultatTrkeID`),
  CONSTRAINT `fk-rez-vozac-vozac` FOREIGN KEY (`VozacID`) REFERENCES `vozac` (`VozacID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `rezultatvozacautrci` */

/*Table structure for table `tim` */

DROP TABLE IF EXISTS `tim`;

CREATE TABLE `tim` (
  `TimID` int(11) NOT NULL AUTO_INCREMENT,
  `NazivTima` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`TimID`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

/*Data for the table `tim` */

insert  into `tim`(`TimID`,`NazivTima`) values 
(1,'Mercedes AMG Petronas'),
(2,'Skuderija Ferari'),
(3,' Aston Martin Red Bul Rejsing'),
(4,'Reno Sport'),
(5,'Has'),
(6,'Meklaren'),
(7,'Alfa Romeo Rejsing'),
(8,'Vilijams');

/*Table structure for table `trka` */

DROP TABLE IF EXISTS `trka`;

CREATE TABLE `trka` (
  `TrkaID` int(11) NOT NULL AUTO_INCREMENT,
  `NazivTrke` varchar(255) DEFAULT NULL,
  `aktivna` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`TrkaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `trka` */

/*Table structure for table `vozac` */

DROP TABLE IF EXISTS `vozac`;

CREATE TABLE `vozac` (
  `VozacID` int(11) NOT NULL AUTO_INCREMENT,
  `Ime` varchar(30) DEFAULT NULL,
  `Prezime` varchar(30) DEFAULT NULL,
  `TimID` int(11) DEFAULT NULL,
  PRIMARY KEY (`VozacID`),
  KEY `fk-vozac-tim` (`TimID`),
  CONSTRAINT `fk-vozac-tim` FOREIGN KEY (`TimID`) REFERENCES `tim` (`TimID`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;

/*Data for the table `vozac` */

insert  into `vozac`(`VozacID`,`Ime`,`Prezime`,`TimID`) values 
(1,'Luis','Hamilton',1),
(2,'Valteri','Botas',1),
(3,'Sebastijan','Fetel',2),
(4,'Sarl','Lekler',2),
(5,'Pjer','Gasli',3),
(6,'Aleksander','Albon',3),
(7,'Maks','Ferstapen',3),
(8,'Danijel','Rikijardo',4),
(9,' Niko','Hilkenberg',4),
(10,'Roman','Grozan',5),
(11,'Kevin','Magnusen',5),
(12,'Lando','Noris',6),
(13,'Karlos','Sains jr.',6),
(14,'Kimi','Raikonen',7),
(15,'Antonio','Djovinaci',7),
(16,'Dzordz','Rasel',8),
(17,'Robert','Kubica',8),
(18,'Danil','Kvjat',8);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
